Cue Docs
Broadcast API - V1

Get Broadcast Recipients

Guide: Broadcast API - V1
GET
/broadcasts/{uuid}/recipients

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Path Parameters

uuid*Uuid
Formatuuid

Query Parameters

limit?Limit
Range1 <= value <= 100
Default50
offset?Offset
Range0 <= value
Default0

Header Parameters

Authorization*Authorization

An API token from Settings > API Tokens, as Bearer <token>.

Response Body

Successful Response

application/json
  1. response
uuid?|null
recipients?array<>|null
pagination?|null
Example Request
curl -X GET 'https://api.cuedesk.com/broadcasts/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipients' \
  -H 'Authorization: Bearer <token>'
Example Response
{
  "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  "recipients": [
    {
      "identifier": "string",
      "status": "string",
      "delivered_at": "string",
      "updated_at": "string",
      "error": "string"
    }
  ],
  "pagination": {
    "offset": 0,
    "limit": 0,
    "total": 0
  }
}